| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Properties | List of all members
iolink.iolink.MultiImageView Class Reference
Inheritance diagram for iolink.iolink.MultiImageView:

## Public Member Functions
| __init__ (self, *args, **kwargs)
| get_capabilities (self)
| support (self, flags)
| to_string (self)
| get_frame_count (self)
| frame (self, index)
| add_frame (self, newFrame)
| set_frame (self, index, frame)
| remove_frame (self, index)
| set_metadata (self, metadata)
| to_pointer (self)
| __repr__ (self)
| get_metadata (self)
Public Member Functions inherited from iolink.iolink.View
| view_origin (self)
| extension (self, extension_id)

## Static Public Member Functions
| create_from_pointer (imagePtr)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
| capabilities = property(get_capabilities, doc=get_capabilities.__doc__)
| frame_count = property(get_frame_count, doc=get_frame_count.__doc__)
| metadata = property(get_metadata, set_metadata, doc=get_metadata.__doc__)
Properties inherited from iolink.iolink.View
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Additional Inherited Members
Protected Member Functions inherited from iolink.iolink.View
| _extension (self, id)

## Detailed Description

    Interface representing a multi-image view, i.e. a stack of ImageView

    This interface capabilities are indicated by the MultiImageCapabilitySet
    returned by the method MultiImageView::capabilities. Each capability enable
    the use of a specific set of methods. When one of those methods is
    called, if its corresponding capability is not supported, a NotImplemented
    exception will be thrown.

    See also: MultiImageCapability

## Constructor & Destructor Documentation

## ◆ __init__()

iolink.iolink.MultiImageView.__init__ | ( |  | self,
|  | * | args,
|  | ** | kwargs
| ) |  |

Reimplemented from iolink.iolink.View.

## Member Function Documentation

## ◆ __repr__()

iolink.iolink.MultiImageView.__repr__ | ( |  | self | ) |

Reimplemented from iolink.iolink.View.

## ◆ add_frame()

iolink.iolink.MultiImageView.add_frame | ( |  | self,
|  |  | newFrame
| ) |  |

    Add a new frame at the end of the set

## ◆ create_from_pointer()

iolink.iolink.MultiImageView.create_from_pointer | ( |  | imagePtr | ) |
| static

        Create a new Python MultiImageView instance from a C++ pointer.

        :type imagePtr: int
        :param imagePtr: a pointer to a MultiImageView shared pointer as an int.
        :rtype: PyObject
        :return: the python instance created from the C++ pointer.

## ◆ frame()

iolink.iolink.MultiImageView.frame | ( |  | self,
|  |  | index
| ) |  |

        Gets the ith frame of the set

        :type index: int
        :param index: the index of the frame in the set
        :rtype: :py:class:`ImageView`
        :return: the ith frame as ImageView

## ◆ get_capabilities()

iolink.iolink.MultiImageView.get_capabilities | ( |  | self | ) |

    Return the capabilities of this multi image.

## ◆ get_frame_count()

iolink.iolink.MultiImageView.get_frame_count | ( |  | self | ) |

        Returns the number of frames in the set

        :rtype: int
        :return: the number of frames in the set

        :raises: Error
        :raises: AccessError

## ◆ remove_frame()

iolink.iolink.MultiImageView.remove_frame | ( |  | self,
|  |  | index
| ) |  |

    Remove the ith frame

## ◆ set_frame()

iolink.iolink.MultiImageView.set_frame | ( |  | self,
|  |  | index,
|  |  | frame
| ) |  |

    Set the frame at the given index (index must already exist, no allocation)

## ◆ set_metadata()

iolink.iolink.MultiImageView.set_metadata | ( |  | self,
|  |  | metadata
| ) |  |

    Attach a new metadata node to the image.

## ◆ support()

iolink.iolink.MultiImageView.support | ( |  | self,
|  |  | flags
| ) |  |

    Checks if the MultiImageView supports the given capabilities.

## ◆ to_pointer()

iolink.iolink.MultiImageView.to_pointer | ( |  | self | ) |

    Get the internal C++ pointer as an integer.

## ◆ to_string()

iolink.iolink.MultiImageView.to_string | ( |  | self | ) |

    Return a string representation

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py